#include<stdio.h>
#include<string.h>
#include<stdlib.h>

#define FLN 100

int main(int argc , char *argv[])
{
	FILE *fp,*fpnew;
	int i=0;
	int j=0;
	int max=1;
	int totnum=0;
	int totlftm=0;
	float avglftm;
	char buffer[FLN];

	char finput[FLN];      /* intput file name */
        char foutput[FLN];

// Start reading Input Files
	if(argc != 2){
	printf("Usuage: %s Lifetimes.DIMER\n", argv[0]);
	exit(-1);
	}

	sprintf(finput, "%s", argv[1]);

	if((fp = fopen(finput,"r")) == NULL){
		printf("Cannot open file %s\n", finput);
		exit(-1);
	}

	sprintf(foutput, "lifetime-distri");
	fpnew=fopen(foutput, "w");	

	while(fscanf(fp,"%d",&i)!=EOF)
	{
		if(fgets(buffer,sizeof(buffer),fp)==NULL)
			break;
		if(i>max)
			max=i;
	}
	//printf("-----max=:%d\n", max);

	int NUM[max+1];
	int TNUM;

	for(i=0;i<max+1;i++)
		NUM[i]=0;
	TNUM=0;

	//printf("counting durations\n");
	rewind(fp);
	while(fscanf(fp, "%d", &i)!=EOF)
	{
		if(fgets(buffer,sizeof(buffer),fp)==NULL)
			break;
		NUM[i]++;
		TNUM++;
		
	}

	totnum=totlftm=0;
	avglftm=0.0;

	//printf("exporting\n");
	for(i=0;i<max+1;i++)
	{
		if(NUM[i]!=0)
		{
			totnum += NUM[i];
			totlftm += i*NUM[i];
	//		fprintf(fpnew, "duration %d number %d percent %f\n", i,NUM[i],(NUM[i]+0.0)/TNUM);
		}
		fprintf(fpnew, "duration %d number %d percent %f\n", i,NUM[i],(NUM[i]+0.0)/TNUM);
	}
	avglftm=(totlftm+0.0)/totnum;
	//printf("\naverage lifetime of %s is: %.5f\n\n", argv[1], avglftm);
	fprintf(fpnew,"\n\n\naverage lifetime of %s is: %.5f snaps\n\n", argv[1], avglftm);

	fclose(fp);
	fclose(fpnew);
}
